## qlshop 0.1

=== src-build-desktop/Makefile ===
#############################################################################
# Makefile for building: qlshop
# Generated by qmake (2.01a) (Qt 4.6.2) on: lun ott 11 13:35:47 2010
# Project:  ../src/src.pro
# Template: app
# Command: /opt/qtsdk-2010.02/qt/bin/qmake -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share/qlshop\" -DPKGDATADIR=\"\" -DQT_DECLARATIVE_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../src -I/opt/qtsdk-2010.02/qt/include/QtCore -I/opt/qtsdk-2010.02/qt/include/QtGui -I/opt/qtsdk-2010.02/qt/include/QtSql -I/opt/qtsdk-2010.02/qt/include/QtDeclarative -I/opt/qtsdk-2010.02/qt/include -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/opt/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/opt/qtsdk-2010.02/qt/lib -lQtDeclarative -lQtSql -L/opt/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/qlsqltablemodel.cpp moc_qlsqltablemodel.cpp
OBJECTS       = main.o \
		qlsqltablemodel.o \
		moc_qlsqltablemodel.o
DIST          = /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = qlshop
DESTDIR       = 
TARGET        = qlshop

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /opt/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/opt/qtsdk-2010.02/qt/lib/libQtSql.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
/opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/opt/qtsdk-2010.02/qt/lib/libQtSql.prl:
/opt/qtsdk-2010.02/qt/lib/libQtCore.prl:
/opt/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/qlshop1.0.0 || $(MKDIR) ../src/.tmp/qlshop1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../src/.tmp/qlshop1.0.0/ && $(COPY_FILE) --parents ../src/connection.h ../src/qlsqltablemodel.h ../src/.tmp/qlshop1.0.0/ && $(COPY_FILE) --parents ../src/main.cpp ../src/qlsqltablemodel.cpp ../src/.tmp/qlshop1.0.0/ && (cd `dirname ../src/.tmp/qlshop1.0.0` && $(TAR) qlshop1.0.0.tar qlshop1.0.0 && $(COMPRESS) qlshop1.0.0.tar) && $(MOVE) `dirname ../src/.tmp/qlshop1.0.0`/qlshop1.0.0.tar.gz . && $(DEL_FILE) -r ../src/.tmp/qlshop1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qlsqltablemodel.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qlsqltablemodel.cpp
moc_qlsqltablemodel.cpp: ../src/qlsqltablemodel.h
	/opt/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../src/qlsqltablemodel.h -o moc_qlsqltablemodel.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: ../src/main.cpp ../src/connection.h \
		../src/qlsqltablemodel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../src/main.cpp

qlsqltablemodel.o: ../src/qlsqltablemodel.cpp ../src/qlsqltablemodel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qlsqltablemodel.o ../src/qlsqltablemodel.cpp

moc_qlsqltablemodel.o: moc_qlsqltablemodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qlsqltablemodel.o moc_qlsqltablemodel.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/qlshop.desktop $(INSTALL_ROOT)/usr/local/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/applications/hildon/qlshop.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 


install_qmls: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ 
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/List.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/Main.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/Bar.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/TextButton.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/BarItems.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/DialogInfo.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/DialogItem.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/ListItemsToShop.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/ListItems.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/


uninstall_qmls:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/List.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/Main.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/Bar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/TextButton.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/BarItems.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/DialogInfo.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/DialogItem.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ListItemsToShop.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ListItems.qml
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ 


install:  install_target install_desktop install_qmls  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_qmls   FORCE

FORCE:

=== debian/changelog ===
qlshop (0.1) unstable; urgency=low

  * Initial release 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300

=== debian/control ===
Source: qlshop
Section: user/other
Priority: optional
Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
Build-Depends: debhelper (>= 5), libqt4-experimental-dev
Standards-Version: 3.7.2

Package: qlshop
Architecture: any
Depends: libqt4-experimental-declarative, libqt4-experimental-sql, libqt4-experimental-gui,  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
Description: Qt Shop Apllication
 QLshop is a quick application
 .
 Further Information: qmemory.garage.maemo.org 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gIDg0MI+QcpT0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAFY0lEQVRIx72WXWwcVxXHfzOz4931eu1df8Um
 dpw0bkII0KR1UqzWpkJIFUhtIwjKEyCBxAuoEn3h4xFekAChwkMlnioBItCEFiFRqBo1bdI2SpO0
 BhfZcez4i7W99u7auzu7c+/cDx6ySZ1gJ62QuNJo5o40/9/9H50558D/aXl3vhg9njn+rZ/t/Pnw
 U5mB/UPN7uz79fV61Yj/FeRs3nT1NaU/NZK6dOJ7Pft8z0MqZaUwlUpJj4nAnF/LRefOnV6//M/X
 q2uA+Sig2ObNzvvj3/Zizj4/5nNo1x60VU4ow9ZAhCOBECPBJ+QPDg63BJWSmggD81ZpJXpj7LXq
 xbN/KOUA9aEdHf1C67ttnbFDX//hXg70fvzGoR2Nc/PuaIyJqMmQahhSESHlaiiKBTkTBvrtckGd
 m36vfvbFZ1dn7+roJth1mtA62QBYHCyuC67jEHMhnjBkEgqDxHSLuBgQB6ph7cBGrfaNTFfp5b8+
 F3zlyJ4TPTKqlC7OnCpuBbqxrIfWPjegFs91iVmfqA5LSzVqocT3PTq72shkHawTkklEJKzgxb+Z
 4aHBw9dOHP1xRxCuXbg4c2p0W5C1ECkH1wHH9Ym5Tfx72jA1KXGcJLhxcDTzM4qubof9n2wjCKq8
 /UqVhTcHMk88/AwdnW1QrsS3Cx0AxlqUtriOi+96rMw5TI0l8bwWmprr9OwCz4X8kqG46DEeCIwn
 eedUO8MHP09bNoWfFqQ895amuzXIIJXEGIVVcPVKkoTXTqpN8ulHNZ0Dkq7dhgeO+nR3eyxONvHm
 79L0Z4cYefhxTp35Fal2SLU7dwdpq5C6jraS3EyEbzsQYcjuB8qUo3XqUY3VxYgzpw3tH6uSW8wx
 +w/No498DuEWeOjwENmeODv6M33f/eZPBrcNnTYSoSr4nmZpLoaoCvzsMsItobTGlJsZP9ONVjGm
 p+cRZpmFXJyWrE//rj72HfwqnuehlNORbm3uAq5tAxKEukRcS1aXDVGpRLY1j9QbRIHH+d+naG32
 iGfn6NhTIj2maLuvwk9feIriv/qIq15++8fn2AjzYz/6xdMXts86DKEqEI8JAiEoLrcQNRe5Pwo5
 /SzEVDvr3jzyWki6v0ay2aVnZyv9j6xyuTYxp6fa/7S0NttZ2Fi5Atjt/6NGQiijyPYKrl0qUiwr
 Ro/5CBGg3Os89oTPy88nePU3CZIpS0efZPDBJJEtz/761ZPPjHzx5G167nYgi0VqxeBDDusbearr
 Lq+/VOdr32/mye9odh2KGP1SlVrVUMw77D0sSWVdegfjW1Z697Zn+8HeWoi0goRk6HFJuVzm7EuC
 k78ssDqvmRmTTLxXZq1QIJ/Pc+V8AdcFv8kx96recWtvD6W2hkCGDB9rYXmhzIW/C955Dd56ZR1j
 DNZaegdi7Oj32Pugj7H2nm3CAdLGWP/2UmSROqIcBRx7Os3+Iz5v/LnI0nxIMuVyeDTNZ49nMa5C
 WonQEVpZH4gDYjtHSex/d1xjLUJJtNHsPuKz7zM7cB0XbTShigh0BaPtLTeiblJABljd3Bw3O3Lu
 7E+bYZFWKKOpIcC54dZaiwXqVaNWrotSbkZOT12u/WWrESF2K8kgrFfNOLB76yz8QDzY0DI3JYoL
 k+Hc1JX61NTl2kStrGeBRWABWL+z1W8GVa+P15/vHmh6DGi55cZgy2tKLF4NVxcmxOzVS7Wr0+/W
 JiNp54AVYA3YAAIgBCJA3y3r6vWquVRcjl4o5KIvL0yE+bn3w7mJi8Hk7Hg42ThpHigA5YawaMwK
 +mYF+FAzA5AA9gB7Gx8XG1cZqAGyIWzuJXwvkAP4QFND6GYYPrLwnes/C0zgfY79KusAAAAASUVO
 RK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := qlshop
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake  PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qlshop 0.11

=== debian/changelog ===
qlshop (0.11) unstable; urgency=low

  * No extra-devel dependency 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Wed, 3 Oct 2010 11:17:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/other
 Priority: optional
 Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
-Build-Depends: debhelper (>= 5), libqt4-experimental-dev
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
 
 Package: qlshop
 Architecture: any
-Depends: libqt4-experimental-declarative, libqt4-experimental-sql, libqt4-experimental-gui,  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
+Depends: libqt4-declarative, libqt4-sql, libqt4-gui,  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Qt Shop Apllication
  QLshop is a quick application
  .

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake  PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake  PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
